Bug 965930 - (CVE-2016-2313) VUL-0: CVE-2016-2313: cacti: Authentication using web authentication as a user not in the cacti database allows complete access
(CVE-2016-2313)
VUL-0: CVE-2016-2313: cacti: Authentication using web authentication as a use...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other openSUSE 42.1
: P5 - None : Normal
: ---
Assigned To: Security Team bot
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 18:46 UTC by Andreas Stieger
Modified: 2018-08-03 22:12 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Stieger 2016-02-09 18:46:59 UTC
From http://svn.cacti.net/viewvc/cacti/tags/0.8.8g/docs/CHANGELOG?revision=7788&view=markup

-bug:0002656: Authentication using web authentication as a user not in the cacti database allows complete access

From http://bugs.cacti.net/view.php?id=2656
Classified by upstream as a security fix.

Accessing cacti using a user name not the cacti database fills the log with database error messages and allows complete access to everything, including the user administration pages. The bug is in auth_login.php which fails to check the query actually found any data or not.

Reported against 0.8.8c..  fixed in tagged but (as of writing) unreleased 0.8.8g.

Upstream fix is http://svn.cacti.net/viewvc?view=rev&revision=7770
Comment 2 Andreas Stieger 2016-02-10 16:51:19 UTC
CVE-2016-2313 - http://seclists.org/oss-sec/2016/q1/305
Comment 3 Bernhard Wiedemann 2016-02-10 18:00:47 UTC
This is an autogenerated message for OBS integration:
This bug (965930) was mentioned in
https://build.opensuse.org/request/show/358753 42.1 / cacti-spine+cacti
https://build.opensuse.org/request/show/358754 13.2 / cacti-spine+cacti
https://build.opensuse.org/request/show/358755 13.1 / cacti
Comment 4 Andreas Stieger 2016-02-10 19:45:07 UTC
all submitted, updates running
Comment 5 Andreas Stieger 2016-02-12 06:13:10 UTC
Release updates
Comment 6 Swamp Workflow Management 2016-02-12 09:12:20 UTC
openSUSE-SU-2016:0437-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 958863,958977,960678,965864,965930
CVE References: CVE-2015-8369,CVE-2015-8377,CVE-2015-8604,CVE-2016-2313
Sources used:
openSUSE 13.2 (src):    cacti-0.8.8f-4.13.1, cacti-spine-0.8.8f-4.3.1
Comment 7 Swamp Workflow Management 2016-02-12 09:13:29 UTC
openSUSE-SU-2016:0438-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 958863,958977,960678,965930
CVE References: CVE-2015-8369,CVE-2015-8377,CVE-2015-8604,CVE-2016-2313
Sources used:
openSUSE Leap 42.1 (src):    cacti-0.8.8f-8.1, cacti-spine-0.8.8f-5.1
Comment 8 Swamp Workflow Management 2016-02-12 13:11:58 UTC
openSUSE-SU-2016:0440-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 958863,958977,960678,965864,965930
CVE References: CVE-2015-8369,CVE-2015-8377,CVE-2015-8604,CVE-2016-2313
Sources used:
openSUSE 13.1 (src):    cacti-0.8.8f-17.1
Comment 9 Swamp Workflow Management 2018-07-28 18:11:37 UTC
This is an autogenerated message for OBS integration:
This bug (965930) was mentioned in
https://build.opensuse.org/request/show/625957 Backports:SLE-12 / cacti
Comment 10 Swamp Workflow Management 2018-08-03 22:12:50 UTC
openSUSE-OU-2018:2194-1: An update that fixes 33 vulnerabilities is now available.

Category: optional (low)
Bug References: 022564,1047512,1048102,1050950,1051633,1054390,1054742,1067163,1067164,1067166,1068028,1101024,1101139,837440,862993,867607,870821,872008,934187,937997,958863,958977,960678,965930,971357,974013
CVE References: CVE-2006-6799,CVE-2007-3112,CVE-2007-3113,CVE-2013-5588,CVE-2013-5589,CVE-2014-2326,CVE-2014-2327,CVE-2014-2328,CVE-2014-2708,CVE-2014-2709,CVE-2014-4000,CVE-2014-4002,CVE-2014-5025,CVE-2014-5026,CVE-2015-4342,CVE-2015-4634,CVE-2015-8369,CVE-2015-8377,CVE-2015-8604,CVE-2016-2313,CVE-2016-3172,CVE-2016-3659,CVE-2017-10970,CVE-2017-11163,CVE-2017-11691,CVE-2017-12065,CVE-2017-12927,CVE-2017-12978,CVE-2017-15194,CVE-2017-16641,CVE-2017-16660,CVE-2017-16661,CVE-2017-16785
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    cacti-1.1.38-2.1